> [!WARNING]
> Display \& Video 360 API v5 is currently in beta.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v5/guaranteedOrders/editGuaranteedOrderReadAccessors#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v5/guaranteedOrders/editGuaranteedOrderReadAccessors#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v5/guaranteedOrders/editGuaranteedOrderReadAccessors#body.request_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v5/guaranteedOrders/editGuaranteedOrderReadAccessors#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v5/guaranteedOrders/editGuaranteedOrderReadAccessors#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v5/guaranteedOrders/editGuaranteedOrderReadAccessors#body.EditGuaranteedOrderReadAccessorsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v5/guaranteedOrders/editGuaranteedOrderReadAccessors#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v5/guaranteedOrders/editGuaranteedOrderReadAccessors#try-it)

Edits read advertisers of a guaranteed order.

### HTTP request

`POST https://displayvideo.googleapis.com/v5/guaranteedOrders/{guaranteedOrderId}:editGuaranteedOrderReadAccessors`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `guaranteedOrderId` | `string` Required. The ID of the guaranteed order to edit. The ID is of the format `{exchange}-{legacyGuaranteedOrderId}` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "partnerId": string, "readAccessInherited": boolean, "addedAdvertisers": [ string ], "removedAdvertisers": [ string ] } ``` |

| Fields ||
|---|---|
| `partnerId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The partner context in which the change is being made. |
| `readAccessInherited` | `boolean` Whether to give all advertisers of the read/write accessor partner read access to the guaranteed order. Only applicable if `https://developers.google.com/display-video/api/reference/rest/v5/guaranteedOrders#GuaranteedOrder.FIELDS.read_write_partner_id` is set in the guaranteed order. |
| `addedAdvertisers[]` | `string (https://developers.google.com/discovery/v1/type-format format)` The advertisers to add as read accessors to the guaranteed order. |
| `removedAdvertisers[]` | `string (https://developers.google.com/discovery/v1/type-format format)` The advertisers to remove as read accessors to the guaranteed order. |

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "readAccessInherited": boolean, "readAdvertiserIds": [ string ] } ``` |

| Fields ||
|---|---|
| `readAccessInherited` | `boolean` Whether all advertisers of `https://developers.google.com/display-video/api/reference/rest/v5/guaranteedOrders#GuaranteedOrder.FIELDS.read_write_partner_id` have read access to the guaranteed order. |
| `readAdvertiserIds[]` | `string (https://developers.google.com/discovery/v1/type-format format)` The IDs of advertisers with read access to the guaranteed order. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).